# If you find yourself ignoring temporary files generated by your text editor
# or operating system, you probably want to add a global ignore instead:
#   git config --global core.excludesfile '~/.gitignore_global'

# Ignore bundler config.
/rails/.bundle

# Ignore all environment files (except templates).
/rails/.env*
!/rails/.env*.erb

# Ignore all logfiles and tempfiles.
/rails/log/*
/rails/tmp/*
!/rails/log/.keep
!/rails/tmp/.keep

# Ignore pidfiles, but keep the directory.
/rails/tmp/pids/*
!/rails/tmp/pids/
!/rails/tmp/pids/.keep

# Ignore storage (uploaded files in development and any SQLite databases).
/rails/storage/*
!/rails/storage/.keep
/rails/tmp/storage/*
!/rails/tmp/storage/
!/rails/tmp/storage/.keep

# is this because the rails asset pipeline regenerates these files?
/rails/public/assets

# Ignore keys for decrypting credentials etc.
/rails/config/master.key
/rails/config/credentials/production.key

# Ignore dependencies
/node_modules/

# Ignore test artifacts
/playwright/test-results/
